精华内容
下载资源
问答
  • Linux 安装 Python3.7

    2020-08-22 21:07:26
    安装依赖包 yum -y install zlib-devel bzip2-devel openssl-devel ncurses-devel sqlite-devel readline-devel ...下载Python3.7源码 下载 wget ftp://yangyang.host/Python-3.7.1.tar.xz 解压 tar -xvf Python-3.7.

    安装依赖包

    yum -y install zlib-devel bzip2-devel openssl-devel ncurses-devel sqlite-devel readline-devel tk-devel gdbm-devel db4-devel libpcap-devel xz-devel libffi-devel gcc

    下载Python3.7源码

    • 下载
      wget ftp://yangyang.host/Python-3.7.1.tar.xz
    • 解压
      tar -xvf Python-3.7.1.tar.xz && cd Python-3.7.1/

    执行配置文件,编译,编译安装

    • ./configure --prefix=/usr/local/python37
    • make && make install

    建立软连接

    • mv /usr/bin/python /usr/bin/python_bak
    • ln -s /usr/local/python37/bin/python3.7 /usr/bin/python
    • ln -s /usr/local/python37/bin/pip3.7 /usr/bin/pip

    测试Python是否可用

    • python
    Python 3.7.1 (default, Jan 14 2019, 10:30:01) 
    [GCC 4.8.5 20150623 (Red Hat 4.8.5-36)] on linux
    Type "help", "copyright", "credits" or "license" for more information.
    >>> print("hello world!")
    hello world!
    >>> exit()
    
    • pip --version
      pip 10.0.1 from /usr/local/python37/lib/python3.7/site-packages/pip (python 3.7)

    修改yum调用的python

    修改第一行为以下

    • vi /usr/bin/yum
    #!/usr/bin/python2.7
    
    • vi /usr/libexec/urlgrabber-ext-down
    #! /usr/bin/python2.7
    

    大功告成,可以使用了。

    展开全文
  • Linux安装python3.7

    2021-01-27 18:42:20
    如果本机安装了python2,尽量...一、安装python3.7 1. 安装依赖环境 yum -y install zlib-devel bzip2-devel openssl-devel ncurses-devel sqlite-devel readline-devel tk-devel gdbm-devel db4-devel libpcap-d

    如果本机安装了python2,尽量不要管他,使用python3运行python脚本就好,因为可能有程序依赖目前的python2环境,比如yum!!!!!

    不要动现有的python2环境!

    一、安装python3.7

    1. 安装依赖环境

    yum -y install zlib-devel bzip2-devel openssl-devel ncurses-devel sqlite-devel readline-devel tk-devel gdbm-devel db4-devel libpcap-devel xz-devel

    2.下载Python3
    https://www.python.org/downloads/

    wget https://www.python.org/ftp/python/3.7.4/Python-3.7.4.tgz

    3.安装python3

    建议安装在/usr/local/python3

    创建目录:

    mkdir -p /usr/local/python3

    解压下载好的Python-3.x.x.tgz包(具体包名因你下载的Python具体版本不不同⽽而不不同,如:我下载的是Python3.7.4.那我这里就是Python-3.7.4.tgz)

    tar -zxvf Python-3.7.4.tgz

    4.进入解压后的目录,编译安装。

    cd Python-3.7.4
    ./configure --prefix=/usr/local/python3
    make && make install

    这一步执行结束若提示:

    ModuleNotFoundError: No module named '_ctypes'

    执行

    yum install libffi-devel -y

    具体原因可以查看:https://blog.csdn.net/KingOfOnePiece/article/details/113261631

    5.建立python3的软链

    ln -s /usr/local/python3/bin/python3 /usr/bin/python3

    6.将/usr/local/python3/bin加入PATH

    打开

    vi .bash_profile

    在.bash_profile文件末尾添加:

    PATH=$PATH:$HOME/bin:/usr/local/python3/bin
    
    export PATH

    按ESC,输入:wq回车退出。

    执行下面的命令,让修改的文件生效:

    source .bash_profile

     

     

    展开全文
  • linux 安装python3.7

    2020-03-28 15:34:52
    下载安装python3.7: wget https://www.python.org/ftp/python/3.7.0/Python-3.7.0.tgz tar zxvf Python-3.7.0.tgz yum install gcc gcc-c++ libffi-devel -y cd Python-3.7.0/ ./configure --prefix=/usr/local/...
    1. 下载安装python3.7:
      wget https://www.python.org/ftp/python/3.7.0/Python-3.7.0.tgz
      tar zxvf Python-3.7.0.tgz
      yum install gcc gcc-c++ libffi-devel -y
      cd Python-3.7.0/
      ./configure --prefix=/usr/local/python3
      make
      make install
    2. 配置环境:
      rm -rf /usr/bin/python
      ln -s /usr/local/python3/bin/python3 /usr/bin/python
      ln -s /usr/local/python3/bin/pip3 /usr/bin/pip
      vim /usr/libexec/urlgrabber-ext-down
      vim /usr/bin/yum
      修改上述两个文件的第一行,改成#!/usr/bin/python ->> #!/usr/bin/python2.7
    3. Python 安装常见问题:zipimport.ZipImportError: can’t decompress data
      这是因为缺少zlib 相关工具包导致的。
      a. 打开终端,输入一下命令安装zlib 相关依赖包: yum -y install zlib*
      b. 进入python 目录,执行:make && make install
    展开全文
  • Linux 安装python3.7

    万次阅读 2019-09-28 05:56:49
    1、安装依赖包 1)首先安装gcc编译器,gcc有些系统版本已经默认安装,通过 gcc --version 查看,没安装的先安装gcc,yum -y install gcc ...2)安装其它依赖包,(注:不要缺少,否则有可能安装python出错,pyth...

    1、安装依赖包                                                                       

    1)首先安装gcc编译器,gcc有些系统版本已经默认安装,通过  gcc --version  查看,没安装的先安装gcc,yum -y install gcc

    2)安装其它依赖包,(注:不要缺少,否则有可能安装python出错,python3.7.0以下的版本可不装 libffi-devel )

    yum -y install zlib-devel bzip2-devel openssl-devel ncurses-devel 
    sqlite-devel readline-devel tk-devel gdbm-devel db4-devel libpcap-devel xz-devel libffi-devel

    2、下载python3.7.0源码,根据需求下载                                 

    1)在https://www.python.org/ftp/python/中选择自己需要的python源码包,我下载的是python3.7

    2)下载

    wget https://www.python.org/ftp/python/3.7.0/Python-3.7.4.tgz

     3)、解压Python-3.7.4.tgz

    tar -zxvf Python-3.7.4.tgz

     

    4、建立一个空文件夹,用于存放python3程序        

    mkdir /usr/local/python3 

    5、执行配置文件,编译,编译安装            

    cd Python-3.7.0
    ./configure --prefix=/usr/local/python3
    make && make install

    安装完成没有提示错误便安装成功了

     

    7、建立软连接                     

    ln -s /usr/local/python3/bin/python3.7 /usr/bin/python3
    ln -s /usr/local/python3/bin/pip3.7 /usr/bin/pip3

     

    展开全文
  • linux安装python3.7

    2021-04-25 09:38:10
    python3安装 1、在Python官网下载源码包,进入官网https://www.python.org/ ,点击download下的source code 2、下载完成后利用工具将压缩包上传至Linux服务器中 3、解压压缩包(注意压缩包后缀名) tar xvf Python-...
  • 1.下载与解压先到python官网:找到Linux版本安装包的下载路径。在Linux上先下载安装包,然后进行解包:[root@localhost ~]#wget https://www.python.org/ftp/python/3.7.1/Python-3.7.1.tgz[root@localhost ~]#tar -...
  • 2. #mkdir /usr/local/python3下载好源码之后上传到服务器,开始准备安装解压文件:#tar -xvzf Python-3.7.0.tgz进入目录:#cd Python-3.7.0/添加配置:(其中--prefix选项是配置安装的路径,如果不配置该选项,安装...
  • Linux安装Python3.7

    千次阅读 2018-08-21 21:07:11
    0.下载安装包 ... 1.安装3.7之前要先安装一些依赖包  sudo apt-get update  sudo apt-get upgrade  sudo apt-get dist-upgrade  sudo apt-get install build-essen...
  • Python 也是可移植的,这意味着... Python 3.7Python 语言的最新主要版本,它包含许多新功能,例如类型注释的推迟评估,对数据类和上下文变量的支持,对模块属性的访问的自定义等等。本教程介绍如何在 Debian 9...
  • 源码安装和系统中默认存在的Python不冲突。1、在Python官网下载源码包,进入官网https://www.python.org/ ,点击download下的source code2、下载完成后利用WinSCP工具将压缩包上传至Linux服务器中3、解压压缩包...
  • yum -y install zlib-devel bzip2-devel openssl-devel ncurses-devel sqlite-devel readline-devel tk-devel gdbm-devel db4-devel libpcap-devel xz-develPython3下载Python3wget ...
  • 1、安装开发工具包sudo yum -y groupinstall "Development tools"2、安装依赖包sudo yum -y install zlib-devel bzip2-devel openssl-devel ncurses-devel sqlite-devel readline-devel tk-devel gdbm-devel db4-...
  • centos安装python31) 首先安装依赖包yum -y install zlib-devel bzip2-devel openssl-devel ncurses-devel sqlite-devel readline-devel tk-devel gdbm-devel db4-devel libpcap-devel xz-devel libffi-devel2) 下载...
  • 网上垃圾资源太多了,找一堆看的头都大,自己写一个吧 我的环境LSB Version:core-9.20160110ubuntu0.2-amd64:core-9.20160110ubuntu0.2-noarch:security-9.20160110...安装 sudo apt update sudo apt install python3.7
  • 二、安装pip以及setuptools毕竟丰富的第三方库是python的优势所在,为了更加方便的安装第三方库,使用pip命令,我们需要进行相应的安装。1、安装pip前需要前置安装setuptools命令如下:wget --no-check-certificate ...
  • 深度linux安装Python3.7.5需要以下4步:1、下载 2、获取权限 3、安装 4 、运行测试1、下载Python3.7.5:到官网下载https://www.python.org,在downloads中可以看到不同的版本。终端窗口中命令行下载为:wget ...
  • Linux版本:Centos7.4Python版本:3.6.6一、下载cd /usr/local/src/wget https://www.python.org/ftp/python/3.6.6/Python-3.6.6.tgztar -xzvf Python-3.6.6.tgzcd Python-3.6.6#在./configure过程中,如果没有加上...

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 20,154
精华内容 8,061
关键字:

linux安装python3.7

python 订阅
linux 订阅